%define rel 1

Name:          lximage-qt
Version:       2.0.1
Release:       %mkrel %{rel}
Summary:       Image viewer and screenshot tool for the LXQt desktop
License:       GPLv2+
Group:         Graphical desktop/KDE
URL:           https://lxqt-project.org/
Source0:       https://github.com/lxqt/%{name}/releases/download/%{version}/%{name}-%{version}.tar.xz
BuildRequires: cmake
BuildRequires: cmake(lxqt)

BuildRequires: cmake(fm-qt6)
BuildRequires: cmake(Qt6Core)
BuildRequires: cmake(Qt6Help)
BuildRequires: cmake(Qt6PrintSupport)
BuildRequires: cmake(Qt6Network)
BuildRequires: cmake(Qt6SvgWidgets)

BuildRequires: pkgconfig(glib-2.0)
BuildRequires: pkgconfig(libexif)
BuildRequires: pkgconfig(xfixes)

%description
Image viewer and screenshot tool for the LXQt desktop.

%files
%{_bindir}/%{name}
%{_datadir}/applications/*
%{_iconsdir}/hicolor/48x48/apps/%{name}.svg
%{_datadir}/%{name}/
%{_datadir}/metainfo/lximage-qt.metainfo.xml

#--------------------------------------------------------------------
%prep
%setup -q %{name}-%{version}
%autopatch -p1

%build
%cmake_qt6
%cmake_build

%install
%cmake_install


%changelog
* Sun May 05 2024 papoteur <papoteur> 2.0.1-1.mga10
+ Revision: 2062214
- new version 2.0.1

* Thu Apr 18 2024 papoteur <papoteur> 2.0.0-1.mga10
+ Revision: 2058859
- new version 2.0.0
- switch to Qt6

* Mon Nov 06 2023 papoteur <papoteur> 1.4.0-1.mga10
+ Revision: 2004754
- new version 1.4.0

* Sun Apr 16 2023 papoteur <papoteur> 1.3.0-1.mga9
+ Revision: 1953268
- new version 1.3.0

* Mon Feb 06 2023 papoteur <papoteur> 1.2.0-2.mga9
+ Revision: 1938814
- rebuild for compilation with C++17 standard

* Sun Nov 06 2022 papoteur <papoteur> 1.2.0-1.mga9
+ Revision: 1904194
- new version 1.2.0

* Mon Apr 25 2022 papoteur <papoteur> 1.1.0-1.mga9
+ Revision: 1853542
- Release 1.1.0

* Sun Dec 12 2021 neoclust <neoclust> 1.0.0-1.mga9
+ Revision: 1761588
- New version 1.0.0

* Fri Apr 16 2021 daviddavid <daviddavid> 0.17.0-1.mga9
+ Revision: 1716068
- New version 0.17.0

* Thu Dec 17 2020 umeabot <umeabot> 0.16.0-2.mga8
+ Revision: 1659049
- Rebuild for new Qt5

* Sat Nov 07 2020 daviddavid <daviddavid> 0.16.0-1.mga8
+ Revision: 1643189
- New version 0.16.0
- update Url

* Sat Apr 25 2020 daviddavid <daviddavid> 0.15.0-1.mga8
+ Revision: 1571828
- New version 0.15.0

* Sat Feb 15 2020 umeabot <umeabot> 0.14.1-3.mga8
+ Revision: 1524799
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Sun Mar 31 2019 umeabot <umeabot> 0.14.1-2.mga7
+ Revision: 1383237
- Qt5 Rebuild

* Thu Mar 28 2019 daviddavid <daviddavid> 0.14.1-1.mga7
+ Revision: 1380842
- new version: 0.14.1

* Sun Jan 27 2019 daviddavid <daviddavid> 0.14.0-1.mga7
+ Revision: 1361416
- New version 0.14.0

* Fri Dec 28 2018 daviddavid <daviddavid> 0.7.0-4.mga7
+ Revision: 1345490
- rebuild for new Qt5 5.12.0

* Sun Sep 23 2018 umeabot <umeabot> 0.7.0-3.mga7
+ Revision: 1299397
- Mageia 7 Mass Rebuild

* Wed Jun 20 2018 daviddavid <daviddavid> 0.7.0-2.mga7
+ Revision: 1238253
- rebuild for new libfm-qt

* Sun Jun 10 2018 daviddavid <daviddavid> 0.7.0-1.mga7
+ Revision: 1235952
- New version: 0.7.0

* Tue Nov 07 2017 neoclust <neoclust> 0.6.0-1.mga7
+ Revision: 1176466
- New version 0.6.0

* Wed Nov 09 2016 neoclust <neoclust> 0.5.0-1.mga6
+ Revision: 1066088
- New version 0.5.0

* Wed Aug 31 2016 daviddavid <daviddavid> 0.4.0-3.mga6
+ Revision: 1049613
- add upstream patch to fix .desktop files translation (mga#19273)

* Tue Feb 09 2016 umeabot <umeabot> 0.4.0-2.mga6
+ Revision: 952418
- Mageia 6 Mass Rebuild

* Sun Feb 22 2015 doktor5000 <doktor5000> 0.4.0-1.mga5
+ Revision: 816442
- new version 0.4.0
- added translations
- remove conditional handling for QT5 as QT4 is not supported anymore
- adjusted BuildRequires from pkgconfig(lxqt-qt5) to pkgconfig(lxqt)
- use new URL http://downloads.lxqt.org/

* Wed Dec 17 2014 doktor5000 <doktor5000> 0.3.0-4.mga5
+ Revision: 803673
- rebuild for QT 5.4 breakage

* Sun Oct 26 2014 doktor5000 <doktor5000> 0.3.0-3.mga5
+ Revision: 793520
- do not remove LXQt Catgories from .desktop file

* Tue Oct 21 2014 doktor5000 <doktor5000> 0.3.0-1.mga5
+ Revision: 792288
- add missing BuildRequires on BuildRequires: pkgconfig(Qt5Help)
- added BuildRequires for QT5 build
  o pkgconfig(Qt5PrintSupport)
  o pkgconfig(libfm-qt5)
- removed implicit BuildRequires on pkgconfig(libfm)
- new version 0.3.0
- enabled QT5 build
- correct license

* Wed Oct 15 2014 umeabot <umeabot> 0.2.0-3.mga5
+ Revision: 748753
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.2.0-2.mga5
+ Revision: 682073
- Mageia 5 Mass Rebuild

* Sat Jun 07 2014 doktor5000 <doktor5000> 0.2.0-1.mga5
+ Revision: 634431
- imported package lximage-qt


* Fri May 09 2014 doktor5000 <doktor5000@mageia.org> 0.2.0-1
- initially packaged for Mageia

